package com.xingxi.master.product.mapper;

import com.xingxi.master.product.domain.ProdClass;

import java.util.List;

/**
 * 商品分类Mapper接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface ProdClassMapper {
    /**
     * 查询商品分类
     *
     * @param prodClassId 商品分类主键
     * @return 商品分类
     */
    ProdClass selectProdClassByProdClassId(Long prodClassId);

    /**
     * 查询商品分类列表
     *
     * @param prodClass 商品分类
     * @return 商品分类集合
     */
    List<ProdClass> selectProdClassList(ProdClass prodClass);

    /**
     * 新增商品分类
     *
     * @param prodClass 商品分类
     * @return 结果
     */
    int insertProdClass(ProdClass prodClass);

    /**
     * 批量新增商品分类
     *
     * @param prodClassList 商品分类
     * @return 结果
     */
    int batchInsertProdClass(List<ProdClass> prodClassList);

    /**
     * 修改商品分类
     *
     * @param prodClass 商品分类
     * @return 结果
     */
    int updateProdClass(ProdClass prodClass);

    /**
     * 删除商品分类
     *
     * @param prodClassId 商品分类主键
     * @return 结果
     */
    int deleteProdClassByProdClassId(Long prodClassId);

    /**
     * 批量删除商品分类
     *
     * @param prodClassIds 需要删除的数据主键集合
     * @return 结果
     */
    int deleteProdClassByProdClassIds(String[] prodClassIds);


    /**
     * 逻辑删除商品分类
     *
     * @param prodClassId 商品分类主键
     * @return 结果
     */
    int logicDeleteProdClassByProdClassId(Long prodClassId);

    /**
     * 逻辑批量删除商品分类
     *
     * @param prodClassIds 需要删除的数据主键集合
     * @return 结果
     */
    int logicDeleteProdClassByProdClassIds(String[] prodClassIds);

    /**
     * 逻辑批量删除商品分类
     *
     * @param prodClass 商品分类
     * @return 结果
     */
    int logicDeleteProdClassByCondition(ProdClass prodClass);

}
